gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A tag table defines a set of tags A tag table defines a set of tags that can be used together. Each buffer has one tag table associated with it; only tags from that tag table can be used with the buffer. A single tag table can be shared between multiple buffers, however. GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void `` Remove a tag from the table. the tag to be removed
- Method
  System.Void `` Add a tag to the table. The tag is assigned the highest priority in the table. the tag to be added

  Add a tag to the table. The tag is assigned the highest priority in the table.

  must not be in a tag table already, and may not have the same name as an already-added tag.

- Method
  Gtk.TextTag `` Finds a by its name the name of a tag The tag, or if none by that name is in the table.
- Method
  System.Void `` Calls func on each tag in table a
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of TextTagTable, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Default constructor
  a
- Property
  System.Int32 The size of the table The number of the tags in this table
- Event
  Gtk.TagRemovedHandler Emitted when a tag is removed from the table
- Event
  Gtk.TagChangedHandler Emitted when a tag in the table is changed
- Event
  Gtk.TagAddedHandler Emitted when a tag is added to the table
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.